Skip to main content
`Ctrl`+`K`

# SALib.scripts.salib module

Command-line utility for SALib

SALib.scripts.salib.get_parser()

SALib.scripts.salib.main()

SALib.scripts.salib.parse_subargs(module, parser, method, opts)

  Attach argument parser for action specific options.

  Parameters:

    - module (module) – name of module to extract action from

    - parser (argparser) – argparser object to attach additional arguments to

    - method (str) – name of method (morris, sobol, etc). Must match one of the available submodules

    - opts (list) – A list of argument options to parse

  Returns:

    subargs

  Return type:

    argparser namespace object